<style type="text/css">
body {
background-color : #EEEEEE;

}

legend {
font: 11px Tahoma;
color : #2266AA;
padding : 0px 4px 0px 4px;
}

fieldset {
border : 1px solid #AAAAAA;
padding : 4px 4px 4px 4px;
}

/*
===========================
balise obligatoire
===========================
*/
.div_select {
border: 1px solid #00CCFF;
width : 150px;
background-color : #FFFFFF;
}

.div_select_header {
border-bottom: 1px solid #00CCFF;
background-color : #00CCFF;
}

.div_select_header td {
padding: 0px 6px 0px 6px;
font: 11px Tahoma;
font-weight: bold;
background-color : #00CCFF;
color: #FFFFFF;
}

.div_select_content td {
padding: 0px 6px 0px 6px;
font: 10px Tahoma;

}

.div_select_content {
width : 150px;
height : 80px ;
overflow : auto;
scrollbar-face-color: #DDDDDD;
scrollbar-shadow-color: #777777;
scrollbar-highlight-color: #ffffff;
scrollbar-3dlight-color: #eeeeee;
scrollbar-darkshadow-color: #000000;
scrollbar-track-color: #eeeeee;
scrollbar-arrow-color: #000000
}

.select_even {
cursor: hand;
background: #FFFFFF;
}

.select_odd {
cursor: hand;
background: #F2FAFF;
}

.select_over {
cursor: hand;
background-color : #CCEEFF;
color: #000000;
font-weight: bold;
}

.select_checked {
cursor: hand;
background-color : #CCFF99;
color: #000000;
font-weight: bold;
}

.div_cadre {
width: 600px;
text-align:center;
background-color: #FFFFFF;
border : 1px dashed #CCCCCC;
padding: 10px 20px 20px 20px;
}

</style>
<script language="javascript" type="text/javascript">

/**
* selectionne l'ensemble des elements d'une liste déroulante avec checkbox
* @param :
* - obj : le nom du pseudo-composant
* - nb : nombre d'elements que contient le composant
*/
function selectAll(obj, nb) {
for (i=0; i< nb; i++) {
document.getElementById(obj.id + i).checked = obj.checked;

if(obj.checked)
document.getElementById("tr_"+obj.id+i).className = "select_checked";
else {
if(i % 2)
css = "select_odd"
else
css ="select_even";

document.getElementById("tr_"+obj.id+i).className = css;
}
}
}

/**
* selectionne l'ensemble des elements d'une liste déroulante avec checkbox
* @param :
* - obj : le nom du pseudo-composant
* - el_id : id de l'element (position dans le composant)
* - ev : le type d'evenement
* - css_defaut : le style de la ligne par defaut
* - nb : le nombre d'elements
*/
function setEvenement(obj, el_id, ev, css_defaut, nb, provenance) {

//--- recuperation des balises
comp = document.getElementById(obj);
tr = document.getElementById("tr_" + obj + el_id);
ck = document.getElementById(obj + el_id);

//--- si il s'agit d'un clique
if(ev == "click") {
//--- alors on coche ou decoche la checkbox
if(provenance = "td") ck.checked = !ck.checked;


//--- si on decoche, alors on decoche aussi la checkbox du composant
if(!ck.checked) {
if(comp.checked) comp.checked = false;
}
else {

//---sinon on vérifie que tous les elements sont cochés
var absent = false;
var i = 0;

while(i < nb && absent == false) {
if(i != el_id) {
if(!document.getElementById(obj + i).checked) absent = true;
}
i++;
}

if(comp.checked == absent) comp.checked = !absent;
}
}

//--- autres evenements
switch(ev) {
case "over":
tr.className = "select_over";
break;

case "out":
if(ck.checked)
tr.className = "select_checked";
else
tr.className = css_defaut;
break;
}
}

</script>
</head>
<body>

<?php

	$debug = false;

	if($debug == true)
          {
	     echo "****************** Affichage pour le debug **************************"; 
    			echo "<br>"; 
			echo "<pre>"; 
			print_r($critere01);
			echo "</pre>";
             		echo "<br>"; 
             		
             		
             		echo "<br>"; 
			echo "<pre>"; 
			print_r($aacontenu2);
			echo "</pre>";
             		echo "<br>"; 
             		
    			
    			echo "<br>"; 
			echo "<pre>"; 
			print_r($critere02);
			echo "</pre>";
             		echo "<br>"; 
             		
             		echo "<br>"; 
			echo "<pre>"; 
			print_r($critere03);
			echo "</pre>";
             		echo "<br>"; 

			echo "<br>"; 
			echo "<pre>"; 
			print_r($critere04);
			echo "</pre>";
             		echo "<br>"; 

			echo "<br>"; 
			echo "<pre>"; 
			print_r($critere05);
			echo "</pre>";
             		echo "<br>"; 
             		
             		echo "<br>"; 
			echo "<pre>"; 
			print_r($critere06);
			echo "</pre>";
             		echo "<br>"; 

	  }


?>
